# OpenACS Mail Lite
This package is part of ]project-open[, an open-source enterprise project management system.

For more information about ]project-open[ please see:
* [Documentation Wiki](http://www.project-open.com/en/)
* [V5.0 Download](https://sourceforge.net/projects/project-open/files/project-open/V5.0/)
* [Installation Instructions](http://www.project-open.com/en/list-installers)

About OpenACS Mail Lite:

<p>Taken from <a href="http://openacs.org/doc/acs-mail-lite/">http://openacs.org/doc/acs-mail-lite/<span class="external"> </span></a>: <p><p> When called to send a mail, the mail will either get sent immediately or placed in an outgoing queue (changeable via parameter) which will be processed every few minutes. <p> ACS Mail Lite uses either sendmail (you have to provide the location of the binary as a parameter) or SMTP to send the mail. If the sending fails, the mail will be placed in the outgoing queue again and be given another try a few minutes later when processing the queue again. <p> Each email contains an X-Envelope-From adress constructed as follows:  The adress starts with &quot;bounce&quot; (can be changed by a parameter) followed by the user_id, a hashkey and the package_id of the package instance that sent the email, separated by &quot;-&quot;. The domain name of this adress can be changed with a parameter. <p> The system checks every 2 minutes (configurable) in a certain maildirectory (configurable) for newly bounced emails, so the mailsystem will have to place every mail to an address beginning with &quot;bounce&quot; (or whatever the appropriate parameter says) in that directory. The system then processes each of the bounced emails, strips out the message_id and verifies the hashkey in the bounce-address. After that the package-key of the package sending the original mail is found out by using the package_id provided in the bounce adress. With that, the system then tries to invoke a callback procedure via a service contract if one is registered for that particular package-key. This enables each package to deal with bouncing mails on their own - probably logging this in special tables. ACS Mail Lite then logs the event of a bounced mail of that user. <p> Every day a procedure is run that checks if an email account has to be disabled from receiving any more mail. This is done the following way: <ul><li>If a user received his last mail X days ago without any further bounced mail then his bounce-record gets deleted since it can be assumed that his email account is working again and no longer refusing emails. This value can be changed with the parameter &quot;MaxDaysToBounce&quot;.<li>If more then Y emails were returned by a particular user then his email account gets disabled from receiving any more mails from the system by setting the email_bouncing_p flag to t. This value can be changed with the parameter &quot;MaxBounceCount&quot;.<li>To notify users that they will not receive any more mails and to tell them how to reenable the email account in the system again, a notification email gets sent every 7 days (configurable) up to 4 times (configurable) that contains a link to reenable the email account.</ul><ul><li>Edit /etc/postfix/main.cf <ul><li>Set &quot;recipient_delimiter&quot; to &quot; - &quot;<li>Set &quot;home_mailbox&quot; to &quot;Maildir/&quot;<li>Make sure that /etc/postfix/aliases is hashed for the alias database</ul><li>Edit /etc/postfix/aliases. Redirect all mail to &quot;bounce&quot; (if you leave the parameter as it was) to &quot;nsadmin&quot; (in case you only run one server).</ul>

# Online Reference Documentation

